# getRequested

abstract fun getRequested(): ComponentSelector

Returns the requested component.

The return type is declared as an opaque org.gradle.api.artifacts.component.ComponentSelector, however the selector may also implement one of the following interfaces:

- org.gradle.api.artifacts.component.ProjectComponentSelector for those dependencies that request a component from some other project in the current build.
- org.gradle.api.artifacts.component.ModuleComponentSelector for those dependencies that request a component to be found in some repository.

#### Return

the requested component